Bug 167322 - Coda kernel module is missing
Coda kernel module is missing
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-01 11:50 EDT by Ivan Popov
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 14:50:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Popov 2005-09-01 11:50:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414

Description of problem:
Coda kernel module is missing (not chosen for compilation).
It makes it impossible to run a Coda client without kernel recompilation
which is otherwise quite undesirable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
as root:
# cd /dev && ./MAKEDEV cfs0
# echo -n <cfs0
-bash: cfs0: No such device or address
# modprobe coda
FATAL: Module coda not found

Actual Results:  the error messages shown above

Expected Results:  it would be possible to open /dev/cfs0,
at least after inserting the Coda module

Additional info:
Comment 1 Jason Baron 2005-09-23 14:50:55 EDT
There are currently no plans to support coda in rhel4
Comment 2 Ivan Popov 2005-09-25 07:45:36 EDT
Supporting Coda file system and including the Coda kernel module are different
As a result of the exclusion you are reducing the value of your product -
presumably it is a deliberate choice.

Note You need to log in before you can comment on or make changes to this bug.